function loadImgSeq_lander(e, t, n, a, r, o) {
    for (images = [], i = a; i <= r; i = i + 1) img = new Image, img.src = e + t + i.toString().padStart(o, "0") + n, images.push(img);
    return images
}

function Simplelander_manualWidth(e, t, n, a) {
    e.width = n, e.height = a, e.getContext("2d").drawImage(t, 0, 0, e.width, e.height)
}
var controller = new ScrollMagic.Controller,
    startup_simple_lander = loadImgSeq_lander("images/gallery-spin/", "frame-", ".jpg", 1, 85, 3);
startup_simple_lander[0].onload = function() {
    Simplelander_manualWidth($("#simpleLanderCanvas").get(0), this, 400, 250)
};
var setup_val_simpleLander = {
        curImg_lander: 0,
        textToShow: 0
    },
    tween_setup_SimpleLander = TweenMax.to(setup_val_simpleLander, 1, {
        curImg_lander: startup_simple_lander.length + 10,
        roundProps: "curImg_lander,textToShow",
        textToShow: $("#Lander_Scrollsequence_Section .head_animation_txt>ul>li").length,
        immediateRender: !1,
        ease: Linear.easeInOut,
        onUpdate: function() {
            Simplelander_manualWidth($("#simpleLanderCanvas").get(0), startup_simple_lander[Math.min(setup_val_simpleLander.curImg_lander, startup_simple_lander.length - 1)], 400, 250), $("#Lander_Scrollsequence_Section .head_animation_txt>ul>li.show").removeClass("show"), $("#Lander_Scrollsequence_Section .head_animation_txt>ul>li:eq(" + Math.min($("#Lander_Scrollsequence_Section .head_animation_txt>ul>li").length - 1, setup_val_simpleLander.textToShow) + ")").addClass("show")
        }
    }),
    scene_setup_simpleLander = new ScrollMagic.Scene({
        triggerElement: "#Lander_Scrollsequence_Section",
        triggerHook: 0,
        duration: 2e3,
        reverse: !0
    }).setPin("#Lander_Scrollsequence_Section").setTween(tween_setup_SimpleLander).addTo(controller),
    tween_setup_whynow = new TimelineMax;
tween_setup_whynow.fromTo("#whynow .footer_image_btm_image", 4, {
    bottom: "100%"
}, {
    bottom: "0%",
    ease: Linear.easeOut
}, 0), tween_setup_whynow.fromTo("#whynow .big_ript_logo_white", 1, {
    top: "-20%",
    y: "-100%"
}, {
    top: "32%",
    y: "0%",
    ease: Linear.easeOut
}, 4), tween_setup_whynow.fromTo("#whynow h4,#whynow .black_desc,#whynow .black_area_btn", 3, {
    opacity: "0"
}, {
    opacity: "2",
    ease: Linear.easeOut
}, 5.5);
var scene_setup_why_now = new ScrollMagic.Scene({
        triggerElement: "#whynow",
        triggerHook: 0,
        duration: 3e3,
        reverse: !0
    }).setPin("#whynow").setTween(tween_setup_whynow).addTo(controller),
    setup_val_tt = {
        curImg_lander: 0,
        textToShow: 0
    },
    tween_setup_tt = TweenMax.to(setup_val_tt, 1, {
        roundProps: "curImg_lander,textToShow",
        textToShow: $(".parallax_desc_lander>h4").length,
        immediateRender: !0,
        ease: Linear.easeInOut,
        onUpdate: function() {
            $(".parallax_desc_lander>h4.show").removeClass("show"), $(".parallax_desc_lander>h4:eq(" + Math.min($(" .parallax_desc_lander>h4").length - 1, setup_val_tt.textToShow) + ")").addClass("show")
        }
    }),
    durtime = 0;
$(window).width() < 960 ? durtime = 1e3 : $(window).width() < 1200 ? durtime = 1500 : durtime = 1800;
var scene_new_tt = new ScrollMagic.Scene({
    triggerElement: ".parallax_simple_lander",
    triggerHook: 0,
    duration: durtime,
    reverse: !0
}).setPin(".parallax_desc_lander").setTween(tween_setup_tt).addTo(controller);